Opened 11 years ago

Closed 11 years ago

Last modified 7 years ago

#4654 closed Bug report (rejected)

Crashes on Upload or Download

Reported by: Andrew Lambert Owned by:
Priority: normal Component: FileZilla Client
Keywords: crash Cc:
Component version: Operating system type: Windows
Operating system version: XP Professional Service Pack 3

Description

I just updated to 3.2.6.1 on Windows XP Pro SP3, Intel Celeron D @3.2GHz, 2GB RAM.

Now, 95% of the time, no matter what server I connect to, uploading or downloading any file causes the program to crash.

The log attached from several attempts to upload/download from various servers (actually, just two servers: one that hosts various website for me, and ftp.microsoft.com as anonymous).

The debug info I was able to get from DrWatson:

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="FILEZI~1.EXE" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="filezilla.exe" SIZE="7441920" CHECKSUM="0xEFC1512B" BIN_FILE_VERSION="3.2.6.1" BIN_PRODUCT_VERSION="3.2.6.1" PRODUCT_VERSION="3, 2, 6, 1" FILE_DESCRIPTION="FileZilla FTP Client" COMPANY_NAME="FileZilla Project" PRODUCT_NAME=" filezilla" FILE_VERSION="3, 2, 6, 1" ORIGINAL_FILENAME="filezilla.rc" INTERNAL_NAME="FileZilla 3" LEGAL_COPYRIGHT="Copyright (C) 2006-2009" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x7272E9" LINKER_VERSION="0x10000" UPTO_BIN_FILE_VERSION="3.2.6.1" UPTO_BIN_PRODUCT_VERSION="3.2.6.1" LINK_DATE="07/01/2009 22:46:06" UPTO_LINK_DATE="07/01/2009 22:46:06" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="fzputtygen.exe" SIZE="129536" CHECKSUM="0xF1C33506" BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0" PRODUCT_VERSION="Unidentified build" FILE_DESCRIPTION="SFTP module for FileZilla based on PuTTY's psftp component" COMPANY_NAME="FileZilla Project" PRODUCT_NAME="FileZilla" FILE_VERSION="Unidentified build" ORIGINAL_FILENAME="FZSFTP" INTERNAL_NAME="FZSFTP" LEGAL_COPYRIGHT="Copyright © 2004-2008 Tim Kosse,   1997-2008 Simon Tatham." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2201E" LINKER_VERSION="0x10000" UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="07/01/2009 22:46:07" UPTO_LINK_DATE="07/01/2009 22:46:07" VER_LANGUAGE="English (United Kingdom) [0x809]" />
    <MATCHING_FILE NAME="fzsftp.exe" SIZE="340992" CHECKSUM="0x11D6B6A8" BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0" PRODUCT_VERSION="Unidentified build" FILE_DESCRIPTION="SFTP module for FileZilla based on PuTTY's psftp component" COMPANY_NAME="FileZilla Project" PRODUCT_NAME="FileZilla" FILE_VERSION="Unidentified build" ORIGINAL_FILENAME="FZSFTP" INTERNAL_NAME="FZSFTP" LEGAL_COPYRIGHT="Copyright © 2004-2008 Tim Kosse,   1997-2008 Simon Tatham." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x60F05" LINKER_VERSION="0x10000" UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="07/01/2009 22:46:07" UPTO_LINK_DATE="07/01/2009 22:46:07" VER_LANGUAGE="English (United Kingdom) [0x809]" />
    <MATCHING_FILE NAME="fzshellext.dll" SIZE="93696" CHECKSUM="0xF2E269B3" BIN_FILE_VERSION="3.2.6.1" BIN_PRODUCT_VERSION="3.2.6.1" PRODUCT_VERSION="3, 2, 6, 1" FILE_DESCRIPTION="fzshellext Dynamic Link Library" PRODUCT_NAME=" fzshellext Dynamic Link Library" FILE_VERSION="3, 2, 6, 1" ORIGINAL_FILENAME="fzshellext.dll" INTERNAL_NAME="fzshellext" LEGAL_COPYRIGHT="Copyright (C) 2006" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1CB98" LINKER_VERSION="0x10000" UPTO_BIN_FILE_VERSION="3.2.6.1" UPTO_BIN_PRODUCT_VERSION="3.2.6.1" LINK_DATE="07/01/2009 22:46:07" UPTO_LINK_DATE="07/01/2009 22:46:07" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="fzshellext_64.dll" SIZE="111616" CHECKSUM="0x34D83A6F" BIN_FILE_VERSION="3.0.2.0" BIN_PRODUCT_VERSION="3.0.2.0" PRODUCT_VERSION="3, 0, 2, 0" FILE_DESCRIPTION="fzshellext Dynamic Link Library" PRODUCT_NAME=" fzshellext Dynamic Link Library" FILE_VERSION="3, 0, 2, 0" ORIGINAL_FILENAME="fzshellext.dll" INTERNAL_NAME="fzshellext" LEGAL_COPYRIGHT="Copyright (C) 2006" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1D93F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.0.2.0" UPTO_BIN_PRODUCT_VERSION="3.0.2.0" LINK_DATE="10/14/2007 10:32:43" UPTO_LINK_DATE="10/14/2007 10:32:43" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="mingwm10.dll" SIZE="6656" CHECKSUM="0xE25655C0" MODULE_TYPE="WIN32" PE_CHECKSUM="0x407E" LINKER_VERSION="0x10000" LINK_DATE="10/02/2004 10:28:15" UPTO_LINK_DATE="10/02/2004 10:28:15" />
    <MATCHING_FILE NAME="uninstall.exe" SIZE="63463" CHECKSUM="0xF3F9ECA1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="01/28/2009 19:42:44" UPTO_LINK_DATE="01/28/2009 19:42:44" />
</EXE>
<EXE NAME="lspent7.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="lspent7.dll" SIZE="434176" CHECKSUM="0x4A80854A" BIN_FILE_VERSION="9.0.3.3" BIN_PRODUCT_VERSION="9.0.3.3" PRODUCT_VERSION="9, 0, 3, 3" FILE_DESCRIPTION="lspent7c/o" FILE_VERSION="9, 0, 3, 3" ORIGINAL_FILENAME="lspent8.dll" INTERNAL_NAME="lspent7c/o" LEGAL_COPYRIGHT="Copyright © 2002 - 2009" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x79350" LINKER_VERSION="0x32003B" UPTO_BIN_FILE_VERSION="9.0.3.3" UPTO_BIN_PRODUCT_VERSION="9.0.3.3" LINK_DATE="06/11/2009 15:13:01" UPTO_LINK_DATE="06/11/2009 15:13:01" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="989696" CHECKSUM="0x2D998938" BIN_FILE_VERSION="5.1.2600.5781" BIN_PRODUCT_VERSION="5.1.2600.5781" PRODUCT_VERSION="5.1.2600.5781" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.5781 (xpsp_sp3_gdr.090321-1317)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFE572" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.5781" UPTO_BIN_PRODUCT_VERSION="5.1.2600.5781" LINK_DATE="03/21/2009 14:06:58" UPTO_LINK_DATE="03/21/2009 14:06:58" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>

Reverting to 3.2.4.1 resolved the problem.

Attachments (1)

filezilla.log (144.4 KB ) - added by Andrew Lambert 11 years ago.
Filezilla logfile, debug level 3

Download all attachments as: .zip

Change History (2)

by Andrew Lambert, 11 years ago

Attachment: filezilla.log added

Filezilla logfile, debug level 3

comment:1 by Tim Kosse, 11 years ago

Resolution: rejected
Status: newclosed

What is "lspent7.dll" which appears in the crash description?

I've search the web for information about that file but cannot find much information. Most of the search results link to known hostile attack sites.

I suspect your computer is infected with malware and that this malware is causing FileZilla to crash. Please format all drives and reinstall your system from clean installation media.

Note: See TracTickets for help on using tickets.